<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_32) on Fri Nov 16 08:58:54 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=utf8">
<TITLE>
ParamPopHetdForm
</TITLE>

<META NAME="date" CONTENT="2012-11-16">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ParamPopHetdForm";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ParamPopHetdForm.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../org/cocktail/peche/components/parametres/hetd/CorpsOuContrat.html" title="class in org.cocktail.peche.components.parametres.hetd"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../org/cocktail/peche/components/parametres/hetd/ParamsPopHetdGestion.html" title="class in org.cocktail.peche.components.parametres.hetd"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?org/cocktail/peche/components/parametres/hetd/ParamPopHetdForm.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ParamPopHetdForm.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_classes_inherited_from_class_com.webobjects.appserver.WOComponent">NESTED</A>&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.cocktail.peche.components.commun.PecheComponent">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.cocktail.peche.components.parametres.hetd</FONT>
<BR>
Class ParamPopHetdForm</H2>
<PRE>
java.lang.Object
  <IMG SRC="../../../../../../resources/inherit.gif" ALT="extended by ">com.webobjects.appserver.WOElement
      <IMG SRC="../../../../../../resources/inherit.gif" ALT="extended by ">com.webobjects.appserver.WOComponent
          <IMG SRC="../../../../../../resources/inherit.gif" ALT="extended by ">org.cocktail.fwkcktlwebapp.server.components.CktlWebComponent
              <IMG SRC="../../../../../../resources/inherit.gif" ALT="extended by ">org.cocktail.fwkcktlajaxwebext.serveur.CktlAjaxWOComponent
                  <IMG SRC="../../../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../../../org/cocktail/peche/components/commun/PecheComponent.html" title="class in org.cocktail.peche.components.commun">org.cocktail.peche.components.commun.PecheComponent</A>
                      <IMG SRC="../../../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../../../org/cocktail/peche/components/commun/PecheCreationForm.html" title="class in org.cocktail.peche.components.commun">org.cocktail.peche.components.commun.PecheCreationForm</A>&lt;<A HREF="../../../../../../org/cocktail/peche/entity/EOParamPopHetd.html" title="class in org.cocktail.peche.entity">EOParamPopHetd</A>&gt;
                          <IMG SRC="../../../../../../resources/inherit.gif" ALT="extended by "><B>org.cocktail.peche.components.parametres.hetd.ParamPopHetdForm</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD>com.webobjects.appserver.WOActionResults, com.webobjects.foundation.NSKeyValueCoding, com.webobjects.foundation.NSKeyValueCoding.ErrorHandling, com.webobjects.foundation.NSKeyValueCodingAdditions, com.webobjects.foundation.NSValidation, java.io.Serializable, java.lang.Cloneable</DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <B>ParamPopHetdForm</B><DT>extends <A HREF="../../../../../../org/cocktail/peche/components/commun/PecheCreationForm.html" title="class in org.cocktail.peche.components.commun">PecheCreationForm</A>&lt;<A HREF="../../../../../../org/cocktail/peche/entity/EOParamPopHetd.html" title="class in org.cocktail.peche.entity">EOParamPopHetd</A>&gt;</DL>
</PRE>

<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../../serialized-form.html#org.cocktail.peche.components.parametres.hetd.ParamPopHetdForm">Serialized Form</A></DL>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->

<A NAME="nested_class_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Nested Class Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="nested_classes_inherited_from_class_com.webobjects.appserver.WOComponent"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from class com.webobjects.appserver.WOComponent</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>com.webobjects.appserver.WOComponent._EventLoggingEnabler, com.webobjects.appserver.WOComponent.Event</CODE></TD>
</TR>
</TABLE>
&nbsp;
<A NAME="nested_classes_inherited_from_class_com.webobjects.foundation.NSKeyValueCodingAdditions"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from interface com.webobjects.foundation.NSKeyValueCodingAdditions</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>com.webobjects.foundation.NSKeyValueCodingAdditions.DefaultImplementation, com.webobjects.foundation.NSKeyValueCodingAdditions.Utility</CODE></TD>
</TR>
</TABLE>
&nbsp;
<A NAME="nested_classes_inherited_from_class_com.webobjects.foundation.NSKeyValueCoding"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from interface com.webobjects.foundation.NSKeyValueCoding</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>com.webobjects.foundation.NSKeyValueCoding._BooleanFieldBinding, com.webobjects.foundation.NSKeyValueCoding._BooleanMethodBinding, com.webobjects.foundation.NSKeyValueCoding._FieldBinding, com.webobjects.foundation.NSKeyValueCoding._ForwardingBinding, com.webobjects.foundation.NSKeyValueCoding._KeyBinding, com.webobjects.foundation.NSKeyValueCoding._KeyBindingCreation, com.webobjects.foundation.NSKeyValueCoding._MethodBinding, com.webobjects.foundation.NSKeyValueCoding._NumberFieldBinding, com.webobjects.foundation.NSKeyValueCoding._NumberMethodBinding, com.webobjects.foundation.NSKeyValueCoding._ReflectionKeyBindingCreation, com.webobjects.foundation.NSKeyValueCoding.ErrorHandling, com.webobjects.foundation.NSKeyValueCoding.MapImplementation, com.webobjects.foundation.NSKeyValueCoding.Null&lt;T&gt;, com.webobjects.foundation.NSKeyValueCoding.UnknownKeyException, com.webobjects.foundation.NSKeyValueCoding.ValueAccessor</CODE></TD>
</TR>
</TABLE>
&nbsp;
<A NAME="nested_classes_inherited_from_class_com.webobjects.foundation.NSValidation"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from interface com.webobjects.foundation.NSValidation</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>com.webobjects.foundation.NSValidation._MethodBinding, com.webobjects.foundation.NSValidation._ValidationBinding, com.webobjects.foundation.NSValidation.DefaultImplementation, com.webobjects.foundation.NSValidation.Utility, com.webobjects.foundation.NSValidation.ValidationException</CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.cocktail.peche.components.commun.PecheComponent"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class org.cocktail.peche.components.commun.<A HREF="../../../../../../org/cocktail/peche/components/commun/PecheComponent.html" title="class in org.cocktail.peche.components.commun">PecheComponent</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../org/cocktail/peche/components/commun/PecheComponent.html#application">application</A>, <A HREF="../../../../../../org/cocktail/peche/components/commun/PecheComponent.html#BINDING_editingContext">BINDING_editingContext</A>, <A HREF="../../../../../../org/cocktail/peche/components/commun/PecheComponent.html#isClickToOpenEnabled">isClickToOpenEnabled</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.cocktail.fwkcktlajaxwebext.serveur.CktlAjaxWOComponent"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class org.cocktail.fwkcktlajaxwebext.serveur.CktlAjaxWOComponent</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>BINDING_cssFilename, BINDING_cssFwkName, BINDING_id, BINDING_updateContainerID</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.cocktail.fwkcktlwebapp.server.components.CktlWebComponent"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class org.cocktail.fwkcktlwebapp.server.components.CktlWebComponent</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>cktlApp, RESOURCE_DEST_END_BODY, RESOURCE_DEST_END_HEAD, RESOURCE_FROM_EXTERN, RESOURCE_FROM_WEB_SERVER_RESOURCES, RESOURCE_NONE, RESOURCE_TYPE_CSS, RESOURCE_TYPE_JSCRIPT, RESOURCE_TYPE_OTHER, TAG_CLOSE_HEAD, TAG_OPEN_BODY</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_com.webobjects.appserver.WOComponent"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class com.webobjects.appserver.WOComponent</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>_keyAssociations</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_com.webobjects.foundation.NSKeyValueCoding.ErrorHandling"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from interface com.webobjects.foundation.NSKeyValueCoding.ErrorHandling</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>_CLASS</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_com.webobjects.foundation.NSKeyValueCodingAdditions"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from interface com.webobjects.foundation.NSKeyValueCodingAdditions</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>_CLASS, _KeyPathSeparatorChar, KeyPathSeparator</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_com.webobjects.foundation.NSKeyValueCoding"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from interface com.webobjects.foundation.NSKeyValueCoding</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>NullValue</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_com.webobjects.foundation.NSValidation"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from interface com.webobjects.foundation.NSValidation</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>_CLASS</CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../org/cocktail/peche/components/parametres/hetd/ParamPopHetdForm.html#ParamPopHetdForm(com.webobjects.appserver.WOContext)">ParamPopHetdForm</A></B>(com.webobjects.appserver.WOContext&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/cocktail/peche/components/parametres/hetd/ParamsPopHetdHelper.html" title="class in org.cocktail.peche.components.parametres.hetd">ParamsPopHetdHelper</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/cocktail/peche/components/parametres/hetd/ParamPopHetdForm.html#helper()">helper</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;com.webobjects.foundation.NSArray&lt;<A HREF="../../../../../../org/cocktail/peche/entity/EOTypeHoraire.html" title="class in org.cocktail.peche.entity">EOTypeHoraire</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/cocktail/peche/components/parametres/hetd/ParamPopHetdForm.html#listeTypeHoraire()">listeTypeHoraire</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/cocktail/peche/components/parametres/hetd/ParamPopHetdForm.html#nouveauParamPopHetdContainerId()">nouveauParamPopHetdContainerId</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/cocktail/peche/entity/EOTypeHoraire.html" title="class in org.cocktail.peche.entity">EOTypeHoraire</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/cocktail/peche/components/parametres/hetd/ParamPopHetdForm.html#selectionTypeHoraire()">selectionTypeHoraire</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/cocktail/peche/components/parametres/hetd/ParamPopHetdForm.html#setListeTypeHoraire(com.webobjects.foundation.NSArray)">setListeTypeHoraire</A></B>(com.webobjects.foundation.NSArray&lt;<A HREF="../../../../../../org/cocktail/peche/entity/EOTypeHoraire.html" title="class in org.cocktail.peche.entity">EOTypeHoraire</A>&gt;&nbsp;listeTypeHoraire)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/cocktail/peche/components/parametres/hetd/ParamPopHetdForm.html#setSelectionTypeHoraire(org.cocktail.peche.entity.EOTypeHoraire)">setSelectionTypeHoraire</A></B>(<A HREF="../../../../../../org/cocktail/peche/entity/EOTypeHoraire.html" title="class in org.cocktail.peche.entity">EOTypeHoraire</A>&nbsp;selectionTypeHoraire)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.cocktail.peche.components.commun.PecheCreationForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.cocktail.peche.components.commun.<A HREF="../../../../../../org/cocktail/peche/components/commun/PecheCreationForm.html" title="class in org.cocktail.peche.components.commun">PecheCreationForm</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../org/cocktail/peche/components/commun/PecheCreationForm.html#annuler()">annuler</A>, <A HREF="../../../../../../org/cocktail/peche/components/commun/PecheCreationForm.html#editedObject()">editedObject</A>, <A HREF="../../../../../../org/cocktail/peche/components/commun/PecheCreationForm.html#enregistrerEtRetour()">enregistrerEtRetour</A>, <A HREF="../../../../../../org/cocktail/peche/components/commun/PecheCreationForm.html#formTitre()">formTitre</A>, <A HREF="../../../../../../org/cocktail/peche/components/commun/PecheCreationForm.html#getModeEdition()">getModeEdition</A>, <A HREF="../../../../../../org/cocktail/peche/components/commun/PecheCreationForm.html#isValidationDidFail()">isValidationDidFail</A>, <A HREF="../../../../../../org/cocktail/peche/components/commun/PecheCreationForm.html#modeCreation()">modeCreation</A>, <A HREF="../../../../../../org/cocktail/peche/components/commun/PecheCreationForm.html#setEditedObject(EO)">setEditedObject</A>, <A HREF="../../../../../../org/cocktail/peche/components/commun/PecheCreationForm.html#setModeEdition(org.cocktail.peche.components.commun.ModeEdition)">setModeEdition</A>, <A HREF="../../../../../../org/cocktail/peche/components/commun/PecheCreationForm.html#setValidationDidFail(boolean)">setValidationDidFail</A>, <A HREF="../../../../../../org/cocktail/peche/components/commun/PecheCreationForm.html#statutValidation()">statutValidation</A>, <A HREF="../../../../../../org/cocktail/peche/components/commun/PecheCreationForm.html#validationFailedWithException(java.lang.Throwable, java.lang.Object, java.lang.String)">validationFailedWithException</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.cocktail.peche.components.commun.PecheComponent"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.cocktail.peche.components.commun.<A HREF="../../../../../../org/cocktail/peche/components/commun/PecheComponent.html" title="class in org.cocktail.peche.components.commun">PecheComponent</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../org/cocktail/peche/components/commun/PecheComponent.html#appendToResponse(com.webobjects.appserver.WOResponse, com.webobjects.appserver.WOContext)">appendToResponse</A>, <A HREF="../../../../../../org/cocktail/peche/components/commun/PecheComponent.html#edc()">edc</A>, <A HREF="../../../../../../org/cocktail/peche/components/commun/PecheComponent.html#getId(java.lang.String)">getId</A>, <A HREF="../../../../../../org/cocktail/peche/components/commun/PecheComponent.html#getPecheSession()">getPecheSession</A>, <A HREF="../../../../../../org/cocktail/peche/components/commun/PecheComponent.html#localisation(java.lang.String)">localisation</A>, <A HREF="../../../../../../org/cocktail/peche/components/commun/PecheComponent.html#message(java.lang.String)">message</A>, <A HREF="../../../../../../org/cocktail/peche/components/commun/PecheComponent.html#onloadJS()">onloadJS</A>, <A HREF="../../../../../../org/cocktail/peche/components/commun/PecheComponent.html#setOnloadJS(java.lang.String)">setOnloadJS</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.cocktail.fwkcktlajaxwebext.serveur.CktlAjaxWOComponent"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.cocktail.fwkcktlajaxwebext.serveur.CktlAjaxWOComponent</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>doNothing, getComponentId, getJsForComponentUpdate, getJsForMainContainerUpdate, getJsForUpdateContainerUpdate, getMainContainerId, jsEncode, myApp, mySession, synchronizesVariablesWithBindings, updateContainerID</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.cocktail.fwkcktlwebapp.server.components.CktlWebComponent"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.cocktail.fwkcktlwebapp.server.components.CktlWebComponent</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>addHTMLBinding, addLocalCss, addLocalCss, addLocalJScript, addLocalJScript, addRemoteCss, addRemoteJScript, addTextCss, addTextInHead, addTextJScriptAtEnd, booleanValueForBinding, cktlApp, cktlSession, fwkCktlWebAppFrameworkName, getLocalWebServerResourceUrl, stringValueForBinding</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_com.webobjects.appserver.WOComponent"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class com.webobjects.appserver.WOComponent</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>_associationWithName, _awakeInContext, _childTemplate, _cleanUpStatelessComponent, _componentDefinition, _componentUnroll, _isPage, _setContext, _setIsPage, _setParent, _setSubcomponent, _sleepInContext, _subcomponentForElementWithID, _unroll, application, awake, baseURL, bindingKeys, canAccessFieldsDirectly, canGetValueForBinding, canSetValueForBinding, clone, context, debugString, descriptionForResponse, ensureAwakeInContext, frameworkName, generateResponse, handleQueryWithUnboundKey, handleTakeValueForUnboundKey, hasBinding, hasSession, invokeAction, isCachingEnabled, isEventLoggingEnabled, isStateless, logString, name, pageWithName, parent, path, pathURL, performParentAction, pullValuesFromParent, pushValuesToParent, reset, session, set_componentUnroll, set_unroll, setCachingEnabled, setValueForBinding, setVariableValueForName, sleep, takeValueForKey, takeValueForKeyPath, takeValuesFromRequest, template, templateWithHTMLString, templateWithHTMLString, templateWithHTMLString, templateWithName, toString, unableToSetNullForKey, validateTakeValueForKeyPath, validateValueForKey, valueForBinding, valueForBooleanBinding, valueForIntegerBinding, valueForKey, valueForKeyPath, valueForNSArrayBindings, valueForNSDictionaryBindings, valueForNumberBinding, valueForStringBinding, variableValueForName, variableWithName</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="ParamPopHetdForm(com.webobjects.appserver.WOContext)"><!-- --></A><H3>
ParamPopHetdForm</H3>
<PRE>
public <B>ParamPopHetdForm</B>(com.webobjects.appserver.WOContext&nbsp;context)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="helper()"><!-- --></A><H3>
helper</H3>
<PRE>
public <A HREF="../../../../../../org/cocktail/peche/components/parametres/hetd/ParamsPopHetdHelper.html" title="class in org.cocktail.peche.components.parametres.hetd">ParamsPopHetdHelper</A> <B>helper</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="nouveauParamPopHetdContainerId()"><!-- --></A><H3>
nouveauParamPopHetdContainerId</H3>
<PRE>
public java.lang.String <B>nouveauParamPopHetdContainerId</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="listeTypeHoraire()"><!-- --></A><H3>
listeTypeHoraire</H3>
<PRE>
public com.webobjects.foundation.NSArray&lt;<A HREF="../../../../../../org/cocktail/peche/entity/EOTypeHoraire.html" title="class in org.cocktail.peche.entity">EOTypeHoraire</A>&gt; <B>listeTypeHoraire</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>the listeTypeHoraire</DL>
</DD>
</DL>
<HR>

<A NAME="setListeTypeHoraire(com.webobjects.foundation.NSArray)"><!-- --></A><H3>
setListeTypeHoraire</H3>
<PRE>
public void <B>setListeTypeHoraire</B>(com.webobjects.foundation.NSArray&lt;<A HREF="../../../../../../org/cocktail/peche/entity/EOTypeHoraire.html" title="class in org.cocktail.peche.entity">EOTypeHoraire</A>&gt;&nbsp;listeTypeHoraire)</PRE>
<DL>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>listeTypeHoraire</CODE> - the listeTypeHoraire to set</DL>
</DD>
</DL>
<HR>

<A NAME="selectionTypeHoraire()"><!-- --></A><H3>
selectionTypeHoraire</H3>
<PRE>
public <A HREF="../../../../../../org/cocktail/peche/entity/EOTypeHoraire.html" title="class in org.cocktail.peche.entity">EOTypeHoraire</A> <B>selectionTypeHoraire</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>the selectionTypeHoraire</DL>
</DD>
</DL>
<HR>

<A NAME="setSelectionTypeHoraire(org.cocktail.peche.entity.EOTypeHoraire)"><!-- --></A><H3>
setSelectionTypeHoraire</H3>
<PRE>
public void <B>setSelectionTypeHoraire</B>(<A HREF="../../../../../../org/cocktail/peche/entity/EOTypeHoraire.html" title="class in org.cocktail.peche.entity">EOTypeHoraire</A>&nbsp;selectionTypeHoraire)</PRE>
<DL>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>selectionTypeHoraire</CODE> - the selectionTypeHoraire to set</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ParamPopHetdForm.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../org/cocktail/peche/components/parametres/hetd/CorpsOuContrat.html" title="class in org.cocktail.peche.components.parametres.hetd"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../org/cocktail/peche/components/parametres/hetd/ParamsPopHetdGestion.html" title="class in org.cocktail.peche.components.parametres.hetd"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?org/cocktail/peche/components/parametres/hetd/ParamPopHetdForm.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ParamPopHetdForm.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_classes_inherited_from_class_com.webobjects.appserver.WOComponent">NESTED</A>&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.cocktail.peche.components.commun.PecheComponent">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
